Skip to content
GitHub

Deploy a template into an environment.

POST
/api/v1/projects/{project}/environments/{environment}/templates/{template}
curl --request POST \
--url https://example.com/api/v1/projects/example/environments/example/templates/example \
--header 'Content-Type: application/json' \
--data '{ "name": "db" }'
project
required
string

Project name

environment
required
string

Environment short name

template
required
string

Template id

Media typeapplication/json
object
name
required

App name (also the in-cluster hostname of TCP services).

string
Example
db
Media typeapplication/json
object
app
required
object
name
required
string
project
required
string
environment
required

Environment short name.

string
namespace
required
string
image
string | null
git_repo
string | null
url
string | null
ready
required
boolean
reason

Available, Progressing, RolloutFailed, Scheduled, AwaitingBuild, …

string | null
message
string | null
processes
required
Array<object>
object
name
required
string
command
required
Array<string>
port
integer | null format: int32
size
required
string
min_replicas
required
integer format: int32
max_replicas
required
integer format: int32
schedule

Cron expression of scheduled processes.

string | null
protocol
required

http or tcp.

string
env
required

Values are only included in the app detail, for callers allowed to read secrets.

Array<object>

Environment variable: a plain value or a secret reference.

object
name
required
string
value
string | null
secret
One of:
null
domains
required
Array<string>
volumes
required
Array<object>

Persistent volume (kept when the app is deleted, unless requested).

object
name
required
string
mount_path
required
string
size

Capacity such as 5Gi. Can grow, never shrink.

string
created_at
string | null
credentials_secret
required

Secret with the generated credentials, e.g. db-credentials.

string
connection_keys
required

Reference it from other apps as KEY=@<secret>/<key>.

Array<string>
Example
{
"app": {
"env": [
{
"name": "LOG_LEVEL"
}
],
"volumes": [
{
"name": "data",
"mount_path": "/data",
"size": "5Gi"
}
]
}
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}